ADDUSER(8)

BEZEICHNUNG
adduser, addgroup - richtet im System einen Benutzer oder eine Gruppe ein

ÜBERSICHT
adduser [options] [--home DIR] [--shell SHELL] [--no-create-home] [--uid ID] [--firstuid ID] [--lastuid ID] [--ingroup GROUP | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] [--add_extra_groups] [--encrypt-home] user

adduser --system [Optionen] [--home VERZEICHNIS] [--shell SHELL] [--no-create-home] [--uid ID] [--group | --ingroup GROUP | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] Benutzer

addgroup [Optionen] [--gid ID] Gruppe

addgroup --system [Optionen] [--gid ID] Gruppe

adduser [Optionen] Benutzergruppe

  GEMEINSAME OPTIONEN
[--quiet] [--debug] [--force-badname] [--help|-h] [--version] [--conf DATEI]

BESCHREIBUNG

Die Befehle adduser und addgroup richten im System Benutzer und Gruppen ein, deren Eigenschaften durch die Befehlszeilen-Optionen und die Konfigurationsinformationen in /etc/adduser.conf festgelegt werden. Sie sind freundlichere Frontends für systemnahe Werkzeuge wie die Programme useradd, groupadd und usermod. Standardmäßig werden zu der Debian-Richtlinie konforme Werte für UID und GID gewählt, ein Home-Verzeichnis mit einer Grundkonfiguration eingerichtet, läuft ein benutzerdefiniertes Skript und andere Funktionen. adduser und addgroup können in einem von fünf Modi betrieben werden:

  Einen normalen Benutzer einrichten
Wird adduser ohne die Optionen --system oder --group und mit einem nicht optionalen Argument aufgerufen, richtet adduser einen normalen Benutzer ein. adduser wird die erste noch freie UID aus dem in der Konfigurationsdatei für normale Benutzer festgelegten Bereich auswählen. Mit der Option --uid können Sie eine von Ihnen gewünschte UID bestimmen. Der in der Konfigurationsdatei festgelegte Bereich kann mit den Optionen --firstuid und --lastuid außer Kraft gesetzt werden. Standardmäßig wird jedem Benutzer in Debian GNU/Linux eine Gruppe mit dem gleichen Namen zugeordnet. Benutzergruppen ermöglichen die einfache Einrichtung von Verzeichnissen, für die mehrere Benutzer Schreibrechte haben. Es müssen nur die betreffenden Benutzer zu Mitgliedern einer Gruppe erklärt, das Set-Group-ID-Bit des Verzeichnisses gesetzt und sichergestellt werden, dass alle Benutzer eine Umask von 002 verwenden. Wird diese Option deaktiviert, indem Sie auf USERGROUPS auf no setzen, werden die GIDs aller Nutzer auf USERS_GID gesetzt. Die anfängliche Gruppenzugehörigkeit eines Benutzers kann auch auf der Befehlszeile mit den Optionen --gid oder --ingroup überschrieben werden, um die Gruppen-ID oder den Gruppennamen zu setzen. Außerdem können Nutzer zu einer oder mehreren in adduser.conf definierten Gruppen hinzugefügt werden, indem entweder in adduser.conf ADD_EXTRA_GROUPS auf 1 gesetzt oder auf der Befehlszeile --add_extra_groups übergeben wird. adduser wird ein Home-Verzeichnis abhängig von DHOME, GROUPHOMES und LETTERHOMES erzeugen. Das Home-Verzeichnis kann von der Befehlszeile mit der Option --home und die Shell mit --shell überschrieben werden. Wenn USERGROUPS den Wert ja hat, wird Set-Group-ID-Bit des Home-Verzeichnis so gesetzt, dass alle im Home-Verzeichnis des Benutzers erstellten Dateien die richtige Gruppe haben. adduser will copy files from SKEL into the home directory and prompt for finger (gecos) information and a password. The gecos may also be set with the --gecos option. With the --disabled-login option, the account will be created but will be disabled until a password is set. The --disabled-password option will not set a password, but login is still possible (for example with SSH RSA keys). To set up an encrypted home directory for the new user, add the --encrypt-home option. For more information, refer to the -b option of ecryptfs-setup-private(1). Wenn die Datei /usr/local/sbin/adduser.local existiert, wird sie nach der Einrichtung des Benutzerkontos ausgeführt, um lokale Einstellungen vorzunehmen. An adduser.local werden die folgenden Argumente übergeben:
Benutzername, UID, GID und Home-Verzeichnis.
Die Umgebungsvariable VERBOSE wird mit der folgenden Regel gesetzt:

0, wenn --quiet angegeben wurde

1, wenn weder --quiet noch --debug angegeben wurde

2, wenn --debug angegeben wurde
    (Das gleiche gilt für die Variable DEBUG, aber DEBUG ist veraltet und wird in einer zukünftigen Version von adduser entfernt werden.)

  Einen System-Benutzer einrichten
Wird adduser ohne die Option --system und mit einem nicht optionalen Argument aufgerufen, richtet adduser einen System-Benutzer ein. Wenn schon ein Benutzer mit demselben Namen existiert und seine UID in den Systembereich fällt (oder wenn eine UID angegeben wird, diese schon an einen Benutzer vergeben ist), wird sich adduser beenden und eine Warnung ausgeben. Diese Warnung kann unterdrückt werden, indem Sie die Option --quiet wählen. adduser wird die erste noch freie UID aus dem in der Konfigurationsdatei für Systembenutzer festgelegten Bereich (FIRST_SYSTEM_UID und LAST_SYSTEM_UID) auswählen. Wenn Sie eine spezielle UID vergeben wollen, können Sie diese mit der Option --uid festlegen. Standardmäßig werden Systembenutzer Mitglieder der Gruppe nogroup. Soll der neue Systembenutzer Mitglied in einer bereits bestehenden Gruppe werden, nutzen Sie die Optionen --gid oder --ingroup. Soll der neue Benutzer eine eigene Gruppe mit der gleichen ID bekommen, ist die Option --group das Richtige für Sie. Das Home-Verzeichnis wird nach den gleichen Regeln wie denen für einfache Benutzer erzeugt. Dem neuen Benutzer wird als Shell /bin/false zugewiesen (Es sei denn, das wird durch die Option --shell geändert) und normale Anmeldungen werden deaktiviert. In sein Home-Verzeichnis werden keine Konfigurationsdateien aus /etc/skel kopiert.

  Eine Benutzergruppe einrichten
Wird adduser mit der Option --group und ohne die Option --system aufgerufen oder wird addgroup aufgerufen, wird eine Benutzergruppe eingerichtet. Die GID wird aus dem in der Konfigurationsdatei für GIDs festgelegten Bereich (FIRST_GID, LAST_GID) gewählt. Sie können diesen Mechanismus außer Kraft setzen, indem Sie die GID mit der Option --gid festlegen. Die erzeugte Gruppe ist leer, hat also keine Mitglieder.

  Eine Systemgruppe einrichten
Wird addgroup mit der Option --system aufgerufen, wird eine Systemgruppe eingerichtet. Es wird eine GID aus dem in der Konfigurationsdatei für System-GIDs festgelegten Bereich (FIRST_SYSTEM_GID, LAST_SYSTEM_GID) gewählt. Sie können diesen Mechanismus außer Kraft setzen, indem Sie die GID mit der Option --gid festlegen. Die erzeugte Gruppe ist leer, hat also keine Mitglieder.

  Einen bestehenden Benutzer zu einer bestehenden Gruppe hinzufügen
Wird adduser mit zwei nicht optionalen Argumenten aufgerufen, wird ein bestehender Benutzer zu einer bestehenden Gruppe hinzugefügt.

OPTIONEN

--conf DATEI
    DATEI anstelle von /etc/adduser.conf benutzen

--disabled-login
    Passwd wird nicht aufgerufen. Der Benutzer kann sein Konto erst nutzen, nachdem ein Passwort vergeben wurde.

--disabled-password
    Wie --disabled-login; Anmeldungen sind noch möglich (z.B. mit SSH-RSA-Schlüsseln), aber nicht mittels Passwort.

--force-badname
    By default, user and group names are checked against the configurable regular expression NAME_REGEX (or NAME_REGEX_SYSTEM if --system is specified) specified in the configuration file. This option forces adduser and addgroup to apply only a weak check for validity of the name.

--gecos GECOS
    Diese Option setzt das Gecos-Feld für den neu erzeugten Eintrag. adduser wird nicht nach Finger-Informationen fragen, wenn diese Option gewählt ist.

--gid ID
    Wird eine neue Gruppe eingerichtet, setzt diese Option deren Gruppen-ID auf die übergebene Zahl. Wird ein Benutzer eingerichtet, macht ihn diese Option zu einem Mitglied der Gruppe.

--group
    Zusammen mit --system richtet diese Optionen eine Gruppe mit dem gleichen Namen und der gleichen ID wie der System-Benutzer ein. Wird sie nicht zusammen mit --system verwendet, wird eine Gruppe mit dem angegebenen Namen erstellt. Dies ist das Standardverhalten, wenn das Programm als addgroup aufgerufen wird.

--help
    Kurzanleitung anzeigen

--home VERZEICHNIS
    Verwendet VERZEICHNIS als das Home-Verzeichnis des Benutzers anstatt der in der Konfigurationsdatei festgelegten Vorgabe. Existiert das VERZEICHNIS nicht, wird es erzeugt und Dateien aus /etc/skel dorthin kopiert.

--shell SHELL
    Verwendet SHELL als Login-Shell des Benutzers anstatt der in der Konfigurationsdatei festgelegten Vorgabe.

--ingroup GRUPPE
    Der neue Benutzer wird Mitglied von GRUPPE; Vorgaben der Konfigurationsdatei bezüglich einer Benutzergruppe oder der durch USERS_GID festgelegten Standardgruppe kommen nicht zum Tragen. Dies betrifft die primäre Gruppe des Benutzers. Mit der Option add_extra_groups kann der Benutzer weiteren Gruppen zugeordnet werden.

--no-create-home
    kein Home-Verzeichnis einrichten, auch wenn es nicht existiert

--quiet
    Meldungen mit Informationscharakter unterdrücken, nur Warnungen und Fehler anzeigen

--debug
    ausführliche Fehlermeldungen ausgeben; nützlich, wenn Probleme mit adduser gelöst werden sollen

--system
    einen neuen Systembenutzer oder eine neue Systemgruppe einrichten

--uid ID
    Die Option soll die ID des neuen Benutzers auf die angegebene Zahl setzen. Adduser wird fehlschlagen, wenn die Benutzer-ID bereits vergeben ist.

--firstuid ID
    Überschreibt die erste Benutzer-ID des Bereichs, aus dem die ID gewählt wird (also FIRST_UID in der Konfigurationsdatei).

--lastuid ID
    analog zu --firstuid ID; überschreibt LAST_UID

--add_extra_groups
    Macht den neuen Benutzer zum Mitglied weiterer Gruppen, die in der Konfigurationsdatei festgelegt sind.

--version
    Anzeige der Version und von Copyright-Informationen

RÜCKGABEWERTE

0   Der beschriebene Benutzer existiert. Das kann zwei Gründe haben: Der Benutzer wurde von adduser erzeugt oder er war schon vor dem Aufruf von adduser im System eingerichtet. War der Rückgabewert von adduser 0; wird ein zweiter Aufruf des Programms mit den gleichen Parametern wie zuvor auch 0 zurückgeben.

1   Das Erzeugen des Benutzers oder der Gruppe schlug fehl, weil er/sie schon existiert und eine andere UID/GID hat. Der Benutzer- oder Gruppenname wurden abgewiesen, weil er nicht zu den konfigurierten regulären Ausdrücken passte (siehe adduser.conf(5)). Adduser wurde mit einem Signal (Software-Interrupt) abgebrochen.
    Oder es war einer von vielen anderen noch undokumentierten Gründen, die dann auf der Konsole ausgegeben werden. Sie können dann überlegen, ob Sie adduser ohne --quiet aufrufen, um mehr Einzelheiten auszugeben.

DATEIEN

/etc/adduser.conf
    Standard-Konfigurationsdatei für adduser und addgroup

SIEHE AUCH
adduser.conf(5), deluser(8), useradd(8), groupadd(8), usermod(8), Debian Policy 9.2.2

COPYRIGHT
Copyright (C) 1997, 1998, 1999 Guy Maor. Veränderungen durch Roland Bauerschmidt und Marc Haber. Zusätzliche Patches von Joerg Hoh und Stephen Gran.
Copyright (C) 1995 Ted Hajek. Er übernahm sehr viel von der ursprünglichen Debian-Version von adduser.
Copyright (C) 1994 Ian Murdock. Adduser ist freie Software; siehe die GNU General Public Licence Version 2 oder später für die Kopierbedingungen. Es wird keine Garantie gewährt.